SynqDocs
Account APIProfile

Remove their picture

They show no picture: `picture` is null and `picture_source` `none`, so each app shows its own default avatar. Needs `me:write`. Recorded as `user.updated`.

DELETE/v1/profile/picture

They show no picture: picture is null and picture_source none, so each app shows its own default avatar. Needs me:write. Recorded as user.updated.

Authorization

bearer
AuthorizationBearer <token>

An access token from this issuer for its account API (resource=<issuer>/me).

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://example.auth.synq.build/me/v1/profile/picture" \  -H "Authorization: Bearer $ACCESS_TOKEN"
{  "sub": "usr_01h455vb4pex5vsknk084sn02q",  "email": "ana@acme.example",  "email_verified": true,  "username": "string",  "name": "Acme",  "given_name": "string",  "family_name": "string",  "picture": "string",  "picture_source": "upload",  "avatar_seed": "mJ3kT0a9yZVqC1x8fR4wLb",  "default_picture": "string",  "picture_choices": true,  "locale": "string",  "deletion_scheduled_for": "2026-10-21T12:00:00.000Z",  "created_at": "2026-10-21T12:00:00.000Z"}